#ifndef __POKE_UI____H__
#define __POKE_UI____H__

#include <SDL.h>

Uint16 pokeui_get_UI_height(Uint8 zoom);

Uint8 pokeui_render(SDL_Renderer* renderer);
void pokeui_start(SDL_Window* window, SDL_Renderer* renderer, Uint16 width, Uint16 height, Uint16 top, Uint16 left, Uint8 zoom, Uint8 autohide);
void pokeui_destroy();

void pokeui_set_address(Uint16 address);
void pokeui_set_value(Uint8 value);

void pokeui_mousedown();
void pokeui_mouseclick();

#endif  // !__POKE_UI____H__